2022-01-16 11:02 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003181F17Challenge[All Projects] Generalpublic2015-01-27 21:05
ReporterPhilippe 
Assigned ToWeplProject InfoF-17 Challenge (Team 17)
http://www.whdload.de/games/F17Challenge.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003181: Hi, i can't make the game work on my A600 68000 cpu, but it works perfectly on
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.1

Hi, i can't make the game work on my A600 68000 cpu, but it works perfectly on my A1200.
Games starts to launch, then crashes giving this message:
WDLOAD 18.0:
Exception: "Address Error" ($F00C)
PC = $9FFB78 (Slave $138)
Read from $7E001
It would be great if you could fix it.
I noticed that some games won't work using a 68000 cpu but on my A1200 no problems at all (68030 blizzard inside).
TagsNo tags attached.
MachineA500
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0004320

Wepl (manager)

Can you please try attached Slave?

note ~0004325

Philippe (reporter)

Hi, thank you very much Wepl

It says 1.2 version but still crashes.

It gives me:

Exception "Address Error" ($F00C)
PC = $9FC472 (Slave $1B2)
Read from $5001

note ~0004326

Wepl (manager)

I forgot another two occurences of the problem. Can you please retry the attached Slave?

note ~0004327

Philippe (reporter)

Good evening, night.

Well great!

This version now works on Winuae with 68000 CPU (A600 + kickstart 3.1)
So it should work also on my real A600.

You rock!


I didn't push the tests, but loads without a problem now :D


I noticed other games with same problems like brian the lion.

I will try to report.

Ps: No news about Speedball 2 still crashing after intro?

note ~0004328

Philippe (reporter)

Hi, and good evening.

Just to confirm that i tested the game today on my REAL Amiga 600.

It works perfectly (like on winuae).

AMIGA 600 - 68000CPU - 2MB CHIP / 8 MB FAST (kipper) / Kickstart 3.1 / Workbench 3.1 / Better Workbench 3.9 - CF 8GB

WHDLOAD 18.0

note ~0004329

Wepl (manager)

Thanks for testing. I have released the updated install package.
Concerning the other games I cannot say you something because I'm primary working on my installs. And this is already enough work ;)
+Notes

-Issue History
Date Modified Username Field Change
2015-01-22 18:59 administrator New Issue
2015-01-22 18:59 administrator Status new => assigned
2015-01-22 18:59 administrator Assigned To => Wepl
2015-01-24 18:07 Wepl File Added: F17Challenge.Slave
2015-01-24 18:07 Wepl Note Added: 0004320
2015-01-25 09:23 Philippe Note Added: 0004325
2015-01-25 19:30 Wepl File Deleted: F17Challenge.Slave
2015-01-25 19:31 Wepl File Added: F17Challenge.Slave
2015-01-25 19:32 Wepl Note Added: 0004326
2015-01-26 00:12 Philippe Note Added: 0004327
2015-01-27 18:57 Philippe Note Added: 0004328
2015-01-27 21:05 Wepl Note Added: 0004329
2015-01-27 21:05 Wepl Status assigned => closed
2015-01-27 21:05 Wepl Resolution open => fixed
+Issue History